RK-J - Task #3122

Feature # 3116 (Closed): Couple of changes to ChatGPT answer page on the site

Task # 3119 (Closed): BE: Create a new api for fetching the source-url based on books.
Allow caching for /bookSource API
07/10/2023 06:23 AM - Venmuhilan B

Status: Closed Start date: 07/10/2023
Priority: Normal Due date:

Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 1.50 hour
Target version: 1-RK-J-1 Spent time: 2.00 hours
Description

Scheme:

Create a cache named "BOOKID_BOOKSOURCE_CACHE" where key is documentProcessingld and value is BookSource
(Here, bookld means documentProcessingld)

If the documentProcessingld is present in map

- get the BookSource from the map.

- log this message "getting book source-url from the Cache for the bookld : " and give the documentProcessingld

Else

- get the ourl from datastore and store it in BookSource

- log this message "getting book source-url from the Datastore for the bookld : " and give the documentProcessingld

- update the value in map.

Handle the bookldAndBookSourceMap during overwrite/Delete:
For these scenarios, delete the entry for the documentProcessingld in bookldAndBookSourceMap.

History

#1 - 07/10/2023 06:24 AM - Venmuhilan B
- Assignee set to Md Shahzar
- Estimated time set to 1.50 h

#2 - 07/10/2023 06:25 AM - Venmuhilan B

- Description updated

#3 - 07/10/2023 06:51 AM - Md Shahzar

- Status changed from New to In Progress

#4 - 07/10/2023 07:05 AM - Venmuhilan B

- Description updated

#5 - 07/10/2023 07:07 AM - Venmuhilan B
TEST CASES - https://docs.google.com/document/d/1tQzs5DWfEEVrnOcKC2sX_U2wZBc5FJd7erjb6fGBv6o/edit#heading=h.io3s4rdrq86

#6 - 07/10/2023 10:29 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#7 - 07/10/2023 11:03 AM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#8 - 07/11/2023 12:35 PM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal
https://docs.google.com/document/d/1tQzs5DWfEEVrnOcKC2sX_U2wZBc5FJd7erjb6fGBv6o/edit#heading=h.io3s4rdrq86

#9 - 07/18/2023 10:07 AM - Venmuhilan B
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Md Shahzar

#10 - 07/20/2023 07:09 AM - Md Shahzar

- Assignee changed from Md Shahzar to Venmuhilan B

#11 - 07/26/2023 09:17 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Md Shahzar

#12 - 07/27/2023 09:29 AM - Md Shahzar

- Assignee changed from Md Shahzar to Venmuhilan B

#13 - 07/27/2023 02:48 PM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#14 - 11/08/2023 05:53 AM - Ram Kordale
- Status changed from Feedback to Closed
